Bug 213401 - comms/py-serial: Add support for custom baud rates, add LICENSE
Summary: comms/py-serial: Add support for custom baud rates, add LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sofian Brabez
URL:
Keywords: patch
Depends on: 213842
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-12 03:53 UTC by Kyle Evans
Modified: 2016-10-28 15:02 UTC (History)
1 user (show)

See Also:
sbz: maintainer-feedback+


Attachments
svn(1) diff of comms/py-serial (1.79 KB, patch)
2016-10-12 03:53 UTC, Kyle Evans
kevans: maintainer-approval? (sbz)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2016-10-12 03:53:11 UTC
Created attachment 175645 [details]
svn(1) diff of comms/py-serial

Hi,

Support for arbitrary baudrates in the BSD family has landed upstream [1], and should appear in the next release of pyserial. I've backported the patch to do this from the latest version to the version we have in ports -- please consider adding it to the current version.

I have indeed tested this patch with my 3D printer @ 250k baud and I've experienced no problems. Any application that worked without this patch should still work, perhaps even better because it no longer errors out if a baudrate without a B'{}' definition in termios is used.

Once the version of upstream currently in progress gets released, perhaps it will be a good idea to update this port completely then? The version in the tree was released in 2013, and the latest version comes with a fair number of improvements (bugfixes and this patch, namely).

[1]  https://github.com/pyserial/pyserial/commit/21a306b77630116b052d53fc7a4deddaccec4d40
Comment 1 VK freebsd_triage 2016-10-12 08:50:15 UTC
Comment on attachment 175645 [details]
svn(1) diff of comms/py-serial

Thanks for the patch. Please note the maintainer-approval(?) request requires the maintainer's e-mail address be provided to the flag.
Comment 2 Kyle Evans freebsd_committer 2016-10-13 13:48:25 UTC
(In reply to Vladimir Krstulja from comment #1)

Whoops, my apologies. Thanks! =)
Comment 3 commit-hook freebsd_committer 2016-10-27 20:35:19 UTC
A commit references this bug:

Author: sbz
Date: Thu Oct 27 20:34:29 UTC 2016
New revision: 424787
URL: https://svnweb.freebsd.org/changeset/ports/424787

Log:
  - Update to 3.2.1

  PR:		213401
  Reported by:	Kyle Evans <kevans91 at ksu.edu>

Changes:
  head/comms/py-serial/Makefile
  head/comms/py-serial/distinfo
  head/comms/py-serial/files/
  head/comms/py-serial/pkg-descr
  head/comms/py-serial/pkg-plist
Comment 4 Sofian Brabez freebsd_committer 2016-10-27 20:41:28 UTC
Hi Kyle,

According to our discussion I updated against the last release 3.2.1 [1] which contains your patch (issue #161) [2].

Committed in r424787 [3]. Thank you for your update!

[1] https://github.com/pyserial/pyserial/releases/tag/v3.2.1
[2] https://github.com/pyserial/pyserial/pull/169
[3] https://svnweb.freebsd.org/ports?view=revision&sortby=date&revision=424787